/**
 * Copyright (C) 2007 iptego GmbH
 *
 * This file is part of ser, a free SIP server.
 *
 * ser is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version
 *
 * ser is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef __LIBBINRPC_WRAPPER_H__
#define __LIBBINRPC_WRAPPER_H__

#include <binrpc.h>

enum BRPC_RUN_RET {
	/* send broken: reset connection */
	BRPC_RUN_ABORT = -2,
	/* nothing could be sent: keep conn */
	BRPC_RUN_VOID,
	/* BUG (init value) */
	BRPC_RUN_UNKNOWN,
	/* all OK */
	BRPC_RUN_SUCCESS,
};

struct reply_to {
	int fd; /* where to write */
	brpc_addr_t addr; /* where to send */
};

enum BRPC_RUN_RET binrpc_run(brpc_t *req, struct reply_to sndto);

#endif /* __LIBBINRPC_WRAPPER_H__ */
